Finalization Pharmadex for Mozambique, Bangladesh, Namibia, Ethiopia - Feature #2519

BD restore dosrecdate in acceptance letter dig
03/02/2017 08:40 AM - Oleksii Kurasov

Status: Closed Start date: 03/02/2017
Priority: Immediate Due date: 03/10/2017
Assignee: Oleksii Kurasov % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

History

#1 - 03/06/2017 04:21 AM - Oleksii Kurasov
- Due date changed from 03/03/2017 to 03/07/2017

#2 - 03/07/2017 09:56 AM - Oleksii Kurasov

- Status changed from New to Resolved

#3 - 03/09/2017 03:55 AM - Oleksii Kurasov
- Due date changed from 03/07/2017 to 03/10/2017

#4 - 03/14/2017 05:42 AM - Oleksii Kurasov

- Status changed from Resolved to Closed
